# PaginatedIterator

constructor(pageSize: Int , countGetter: () -> Long , paginationResultGetter: Pagination .() -> PaginationResult < T >)(source)

#### Parameters

pageSize

The size of each page to fetch

countGetter

A function that returns the total count of available items

paginationResultGetter

A function that fetches a page of results for a given pagination

#### Type Parameters

T

The type of items being iterated